Bug 55034 - mozilla 0.9.5 crashes
mozilla 0.9.5 crashes
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-10-24 14:02 EDT by Olivier Crête
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-24 17:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Olivier Crête 2001-10-24 14:02:15 EDT
Description of problem:
Mozilla 0.9.5 from mozilla.org (the rh7 rpm)
crashes when run...

How reproducible:

[Tester@TesterTop Tester]$ mozilla
Gdk-ERROR **: BadValue (integer parameter out of range for operation)
  serial 1022 error_code 2 request_code 12 minor_code 0

I dont know who to blame...  maybe gtk/gdk is guilty?
Comment 1 Mikko Tiihonen 2001-10-24 17:19:37 EDT
rpm --rebuild of the 0.9.5 src.rpm on RH7.2 cures it
Comment 2 Olivier Crête 2001-10-25 18:27:26 EDT
Ok.. it did work..

Would be nice if redhat or mozilla.org provided one... It took more than 2 hours
to compile on my p3-800 w/ 256 megs of ram...
Comment 3 mwalton 2001-11-01 11:45:09 EST
Simply rebuilding and upgrading the package was insufficient in my case. Files,
ether put in by anaconda or part of the mozilla 0.9.2 package or left over from
redhat 7.1 (when I hadn't even installed mozilla), left in the /usr/lib/mozilla
directory, caused 0.9.5 to segfault immediately upon start up. Steps that I
undertook to upgrade mozilla were as follows:

1. rpm -e --nodeps mozilla
3. rm -rf /usr/lib/mozilla
2. rpm -Uvh mozilla-0.9.5-1.rpm

Mozilla 0.9.5 now works fine.

Note You need to log in before you can comment on or make changes to this bug.